/**
  *	Copyright (C) @YEAR@ Vernon Systems Limited
  *
  *	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
  *	to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
  *	and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
  *
  *	The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
  *
  *	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
  *	WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
package com.ehive.api.dao;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

import org.apache.commons.lang3.StringUtils;

import com.ehive.api.exceptions.EHiveApiException;


public class DaoHelper {

	public static String getObjectsQueryString(String query, Boolean hasImages, String sort, String direction, Integer offset, Integer limit) throws EHiveApiException {
		
		String queryString = "";
		
	
		if (StringUtils.isEmpty(query) == false) {
			try {
				queryString = "query=" + URLEncoder.encode(query.trim(), "UTF-8");
			} catch (UnsupportedEncodingException e) {
				throw new EHiveApiException("The search term used was not successfully UTF-8 encoded. String: " + query, e);
			}
		}
	
		if (hasImages != null && hasImages == true ) {
			String i = "hasImages=true";
			if(StringUtils.isEmpty(queryString) == false) {
				queryString = queryString + "&" + i;
			} else {
				queryString = queryString + i;
			}
			
		} else if (hasImages != null && hasImages == false) {
			String i = "hasImages=false";
			if(StringUtils.isEmpty(queryString) == false) {
				queryString = queryString + "&" + i;
			} else {
				queryString = queryString + i;
			}

		}	

		if (StringUtils.isEmpty(sort) == false) {
			String s = "sort=" + sort;
			if(StringUtils.isEmpty(queryString) == false) {
				queryString = queryString + "&" + s;
			} else {
				queryString = queryString + s;
			}
		}
		
		if (StringUtils.isEmpty(direction) == false) {
			String d = "direction=" + direction;
			if(StringUtils.isEmpty(queryString) == false ) {
				queryString = queryString + "&" + d;
			} else {
				queryString = queryString + d;
			}			
		}		
		
		if (offset != null) {
			String o = "offset=" + offset;
			if(StringUtils.isEmpty(queryString) == false ) {
				queryString = queryString + "&" + o;
			} else {
				queryString = queryString + o;
			}			
		}
		
		if (limit != null) {
			String l = "limit=" + limit;
			if(StringUtils.isEmpty(queryString) == false) {
				queryString = queryString + "&" + l;
			} else {
				queryString = queryString + l;
			}			
		}		
		
		return queryString;
	}
	
}
