/**
  *	Copyright (C) @YEAR@ Vernon Systems Limited
  *
  *	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
  *	to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
  *	and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
  *
  *	The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
  *
  *	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
  *	WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
package com.ehive.api.domain.accounts;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.ehive.api.domain.objects.MediaSet;


public class Account implements Serializable {
	
	private static final long serialVersionUID = -8399246776680720931L;

	private Integer accountId;
	
    private String publicProfileName;
    private String shortProfileName;    
    
    private String physicalAddress;
    private String postalAddress;
	    	
    private String phoneNumber;
    private String emailAddress;
    private String facsimile;
    private String website;
    private String hoursOfOperation;
    private String admissionCharges;
    private String staffDetails;
    private String aboutCollection;
    
    private Boolean wheelChairAccessFacility;
    private Boolean cafeFacility;
    private Boolean referenceLibraryFacility;
    private Boolean parkingFacility;
    private Boolean shopFacility;
    private Boolean functionSpaceFacility;
    private Boolean guidedTourFacility;
    private Boolean publicProgrammesFacility;
    private Boolean membershipClubFacility;
    private String otherFacility;
    private Boolean toiletFacility;
    
	private Float latitude;	
	private Float longitude;	
	private Integer zoomLevel;
    
    private List<MediaSet> mediaSets = new ArrayList<MediaSet>();
    
    
	public Integer getAccountId() { return accountId; }
	public void setAccountId(Integer accountId) { this.accountId = accountId; }
	
	public String getPublicProfileName() { return publicProfileName; }
	public void setPublicProfileName(String publicProfileName) { this.publicProfileName = publicProfileName; }
	
	public String getShortProfileName() { return shortProfileName; }
	public void setShortProfileName(String shortProfileName) { this.shortProfileName = shortProfileName; }
	
	public String getPhysicalAddress() { return physicalAddress; }
	public void setPhysicalAddress(String physicalAddress) { this.physicalAddress = physicalAddress; }
	
	public String getPostalAddress() { return postalAddress; }
	public void setPostalAddress(String postalAddress) { this.postalAddress = postalAddress; }
	
	public String getPhoneNumber() { return phoneNumber; }
	public void setPhoneNumber(String phoneNumber) { this.phoneNumber = phoneNumber; }
	
	public String getEmailAddress() { return emailAddress; }
	public void setEmailAddress(String emailAddress) { this.emailAddress = emailAddress; }
	
	public String getFacsimile() { return facsimile; }
	public void setFacsimile(String facsimile) { this.facsimile = facsimile; }
	
	public String getWebsite() { return website; }
	public void setWebsite(String website) { this.website = website; }
	
	public String getHoursOfOperation() { return hoursOfOperation; }
	public void setHoursOfOperation(String hoursOfOperation) { this.hoursOfOperation = hoursOfOperation; }
	
	public String getAdmissionCharges() { return admissionCharges; }
	public void setAdmissionCharges(String admissionCharges) { this.admissionCharges = admissionCharges; }
	
	public String getStaffDetails() { return staffDetails; }
	public void setStaffDetails(String staffDetails) { this.staffDetails = staffDetails; }
	
	public String getAboutCollection() { return aboutCollection; }
	public void setAboutCollection(String aboutCollection) { this.aboutCollection = aboutCollection; }
	
	public Boolean getWheelChairAccessFacility() { return wheelChairAccessFacility; }
	public void setWheelChairAccessFacility(Boolean wheelChairAccessFacility) { this.wheelChairAccessFacility = wheelChairAccessFacility; }
	
	public Boolean getCafeFacility() { return cafeFacility; }
	public void setCafeFacility(Boolean cafeFacility) { this.cafeFacility = cafeFacility; }
	
	public Boolean getReferenceLibraryFacility() { return referenceLibraryFacility; }
	public void setReferenceLibraryFacility(Boolean referenceLibraryFacility) { this.referenceLibraryFacility = referenceLibraryFacility; }
	
	public Boolean getParkingFacility() { return parkingFacility; }
	public void setParkingFacility(Boolean parkingFacility) { this.parkingFacility = parkingFacility; }
	
	public Boolean getShopFacility() { return shopFacility; }
	public void setShopFacility(Boolean shopFacility) { this.shopFacility = shopFacility; }
	
	public Boolean getFunctionSpaceFacility() { return functionSpaceFacility; }
	public void setFunctionSpaceFacility(Boolean functionSpaceFacility) { this.functionSpaceFacility = functionSpaceFacility; }
	
	public Boolean getGuidedTourFacility() { return guidedTourFacility; }
	public void setGuidedTourFacility(Boolean guidedTourFacility) { this.guidedTourFacility = guidedTourFacility; }
	
	public Boolean getPublicProgrammesFacility() { return publicProgrammesFacility; }
	public void setPublicProgrammesFacility(Boolean publicProgrammesFacility) { this.publicProgrammesFacility = publicProgrammesFacility; }
	
	public Boolean getMembershipClubFacility() { return membershipClubFacility; }
	public void setMembershipClubFacility(Boolean membershipClubFacility) { this.membershipClubFacility = membershipClubFacility; }
	
	public String getOtherFacility() { return otherFacility; }
	public void setOtherFacility(String otherFacility) { this.otherFacility = otherFacility; }
	
	public Boolean getToiletFacility() { return toiletFacility; }
	public void setToiletFacility(Boolean toiletFacility) { this.toiletFacility = toiletFacility; }
	
	public Float getLatitude() { return latitude; }
	public void setLatitude(Float latitude) { this.latitude = latitude; }
	
	public Float getLongitude() { return longitude; }
	public void setLongitude(Float longitude) { this.longitude = longitude; }
	
	public Integer getZoomLevel() { return zoomLevel; }
	public void setZoomLevel(Integer zoomLevel) { this.zoomLevel = zoomLevel; }
	
	public List<MediaSet> getMediaSets() { return mediaSets; }
	public void setMediaSets(List<MediaSet> mediaSets) { this.mediaSets = mediaSets; }
}