/**
  *	Copyright (C) @YEAR@ Vernon Systems Limited
  *
  *	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
  *	to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
  *	and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
  *
  *	The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
  *
  *	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
  *	WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
package com.ehive.api.domain.comments;

import java.io.Serializable;

public class Comment implements Serializable {

	private static final long serialVersionUID = 7845713409758842928L;

	private Long commentId;
	private String commentorName;
	private String commentorEmailAddress;
	private String commentText;
	private String whenCreated;
	
	public Long getCommentId() { return commentId; }
	public void setCommentId(Long commentId) { this.commentId = commentId; }

	public String getCommentorName() { return commentorName; }
	public void setCommentorName(String commentorName) { this.commentorName = commentorName; }
	
	public String getCommentorEmailAddress() { return commentorEmailAddress; }
	public void setCommentorEmailAddress(String commentorEmailAddress) { this.commentorEmailAddress = commentorEmailAddress; }

	public String getCommentText() { return commentText; }
	public void setCommentText(String commentText) { this.commentText = commentText; }

	public String getWhenCreated() { return whenCreated; }
	public void setWhenCreated(String whenCreated) { this.whenCreated = whenCreated; }

	@Override
	public String toString() {
		return new StringBuilder("\n  Comment{" +
				"\n  commentId=" + this.getCommentId() +
				"\n  commentorName='" + this.getCommentorName() + '\'' +
				"\n  commentorEmailAddress=" + this.getCommentorEmailAddress() +
				"\n  commentorText=" + this.getCommentText() +
				"\n  whenCreated=" + this.getWhenCreated() +
				'}').toString();
	}
	
}
