/**
  *	Copyright (C) @YEAR@ Vernon Systems Limited
  *
  *	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
  *	to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
  *	and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
  *
  *	The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
  *
  *	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
  *	WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
package com.ehive.api.exceptions;

import java.io.Serializable;

import org.apache.commons.lang3.StringUtils;

public class EHiveStatusMessage implements Serializable {

	private static final long serialVersionUID = -7506551386001192689L;

	private Integer code;
	private String message;
	private String details;
	private String technicalDetails;
	
	public Integer getCode() { return code; }
	public void setCode(Integer code) { this.code = code; }
	
	public String getMessage() { return message; }
	public void setMessage(String message) { this.message = message; }
	
	public String getDetails() { return details; }
	public void setDetails(String details) { this.details = details; }
	
	public String getTechnicalDetails() { return technicalDetails; }
	public void setTechnicalDetails(String technicalDetails) { this.technicalDetails = technicalDetails; }
	
	public String toString() {
		StringBuilder sb = new StringBuilder("");
		sb.append("ERROR CODE: " + this.code + ". ERROR MESSAGE: " + this.message + ". ERROR DETAILS: " + this.details); 
		if(StringUtils.isEmpty(this.technicalDetails) == false) {
			sb.append(". TECHNICAL DETAILS: " + this.technicalDetails);	
		}
		return sb.toString();
	}
}
