/**
  *	Copyright (C) @YEAR@ Vernon Systems Limited
  *
  *	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
  *	to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
  *	and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
  *
  *	The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
  *
  *	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
  *	WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
package com.ehive.api.exceptions;


public class EHiveUnauthorizedException extends Exception {

	private static final long serialVersionUID = 9018662318845367441L;
	

	public EHiveUnauthorizedException(Throwable exception) {
        super(exception);
    }

    public EHiveUnauthorizedException(String message) {
        super(message);
    }

    public EHiveUnauthorizedException(String message, Throwable nestedException) {
        super(message, nestedException);
    }

    
    @Override
    public String toString() {
        StringBuilder s = new StringBuilder().append(super.toString());

        for (StackTraceElement traceElement : getStackTrace()) {
            s.append("\n\t").append(traceElement);
        }

        return s.toString();
    }

}
